.profile {
  /**
  @deprecated - bonuses
   */
  &_bonuses {
    padding: $paddingMini $paddingMini/2;
    background-color: #2b3954;
    display: flex;
    justify-content: space-between;
    &-item {
      padding: 0px $paddingMini/2;
      &-title {
        text-transform: uppercase;
        color: #FFFFFF;
      }
      &-body {
        //padding: $paddingMini;
        width: 100%;
        padding-bottom: $paddingMini;
      }
      &-subtitle {
        padding-bottom: $paddingMini;
        width: 100%;
        &::first-letter {
          text-transform: uppercase;
        }
      }
      &-count {
        color: #FFFFFF;
      }
    }
    &-special {
      flex: 2;
    }
    &-yours {
      flex: 3;
      .profile_bonuses-item-title {
        width: 100%;
        padding-left: $paddingLarge;
      }
    }
  }
  &_body {
    padding: $paddingMedium;
    background: linear-gradient(#151e2e, #151e2e 70px, #2a354a 170px);
    min-height: 130px;
    .signIn-btn {
      &_dark {
        max-width: 150px;
      }
      &-inner {
        font-size: 1.125rem;
      }
    }
  }
  &_name {
    display: flex;
    justify-content: space-between;
    padding-right: $paddingDefault;
    &-body {
      display: flex;
      flex-direction: column;
    }
    &-title {
      text-transform: uppercase;
      margin-bottom: $marginMini / 2;
    }
    &-content {
      color: rgb(0, 186, 195);
    }
  }
  &-info {
    max-height: 20px;
  }
  &_resources {
    overflow: hidden;
    margin-top: $marginDefault;
    border: 1px solid #3b4356;
    box-shadow: 0px 0px 30px 0px rgba(1, 1, 1, 0.5);
    .myBets_popup-body {
      background-color: #283349;
      .signIn-btn-inner {
        font-size: .825rem;
      }
    }
    &.disabled {
      opacity: .6;
      user-select: none;
      pointer-events: none;
    }
    &-calculate {
      display: flex;
      justify-content: space-between;
      padding: $paddingLarge $paddingDefault $paddingDefault $paddingDefault;
      font-size: .775rem;
    }
    &_btn {
      max-width: 90px;
      border-radius: 10px;
      text-transform: uppercase;
      flex: 1;
      overflow: hidden;
      opacity: .7;
      box-shadow: 0px 10px 15px 0px rgb(1, 1, 1);
      transition: $transitionTime all ease-in;
      &.active {
        opacity: 1;
        box-shadow: 0px 0px 0px 0px rgba(1, 1, 1, 0.5);
        .profile_resources_btn {
          &-body {
            background-color: #202b3f;
            color: #FFFFFF;
          }
        }
      }
      &-container {
        padding: $paddingDefault;
      }
      &-header {
        color: #242f44;
        padding: $paddingMini / 2 0px;
      }
      &-body {
        background-color: #242f44;
        min-height: 50px;
        font-weight: bold;
        font-size: 1.125rem;
      }
      &-ram {
        border: 2px solid #82e093;
        .profile_resources_btn {
          &-header {
            background-color: #82e093;
          }
        }
      }
      &-cpu {
        border: 2px solid #d3a451;
        .profile_resources_btn {
          &-header {
            background-color: #d3a451;
          }
        }
      }
      &-net {
        border: 2px solid #00bac3;
        .profile_resources_btn {
          &-header {
            background-color: #00bac3;
          }
        }
      }
    }
    &-slider {
      display: flex;
      justify-content: center;
      flex-direction: column;
      .amountInput {
        &-body {
          background-color: #2b3954;
        }
      }
      .myBets_body-slider .progress {
        background-color: #0065c3;
      }
      .slider__bar {
        background-color: #0065c3;
      }
      &-btn {
        //margin-top: $marginDefault;
      }
    }
    &-header {
      display: flex;
      align-items: center;
      padding: $paddingDefault;
      background-color: #1e293f;
      &:not(.flex-center) {
        justify-content: space-between;
      }
      &-title {
        color: #ffffff;
        text-transform: uppercase;
        font-weight: bold;
      }
    }
    &-inner {
      padding: 0px $paddingDefault $paddingMedium $paddingDefault;
    }
    &-body {
      padding-top: $paddingDefault;
      &.disabled {
        opacity: 0.6;
        user-select: none;
      }
      .amountInput {
        &-value {
          flex: 1;
        }
        &-body {
          display: flex;
          padding: 0px;
          span {
            flex: 1;
          }
        }
      }
    }
    &-type {
      display: flex;
      align-items: center;
      min-height: 50px;
      &:not(:nth-of-type(1)) {
        border-top: 1px dashed #374460;
      }
      &-buy {
        background-color: #3037D2;
        &.profile_resources-type-name {
          min-width: 76px;
        }
      }
      &-ram {
        border: 2px solid #82e093;
      }
      &-cpu {
        border: 2px solid #d3a451;
      }
      &-net {
        border: 2px solid #539a9e;
      }
      &-name {
        border-radius: 2px;
        color: #ffffff;
        font-size: 1.125rem;
        padding: $paddingMini /2 $paddingMini;
        min-width: 70px;
        text-align: center;
        text-transform: uppercase;
        background-color: #202b3f;
      }
      &-progress {
        padding-left: $paddingMini;
        flex: 1;
        &-stacked {
          display: flex;
          align-items: center;
          justify-content: space-between;
          font-size: .605rem;
          font-weight: bold;
        }
        &-bets {
          display: flex;
          align-items: center;
          justify-content: space-between;
          position: relative;
          font-weight: bold;
          margin-top: $marginMini / 2;
          text-align: left;
          font-size: .605rem;
        }
      }
    }
  }
}
